Results 1 to 3 of 3

Thread: E: Sub-process /usr/bin/dpkg returned an error code (1)

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    Aug 2008
    Posts
    9

    Unhappy E: Sub-process /usr/bin/dpkg returned an error code (1)

    I just wanted to show a example of a problem Ive been having but cant quite fix all installs even simple software based ones will get to about 90% complete before it pauses and I get this error ... If anyone can point me in the direction of tryin to fix this issue it would be greatly appreciated. This is a new problem that just started yesterday fyi.

    Example 1:
    Code:
    root@bt:~# apt-get install gtk-gnutella
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    gtk-gnutella is already the newest version.
    The following packages were automatically installed and are no longer required:
      libdmraid1.0.0.rc16 sqlite python-pyicu libdebian-installer4 cryptsetup
      libecryptfs0 reiserfsprogs rdate bogl-bterm ecryptfs-utils libdebconfclient0
      dmraid keyutils
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
    1 not fully installed or removed.
    After this operation, 0B of additional disk space will be used.
    Setting up nvidia-173 (173.14.22-0ubuntu11) ...
    Removing old nvidia-173-173.14.22 DKMS files...
    
    ------------------------------
    Deleting module version: 173.14.22
    completely from the DKMS tree.
    ------------------------------
    Done.
    Loading new nvidia-173-173.14.22 DKMS files...
    First Installation: checking all kernels...
    Building only for 2.6.38
    Building for architecture i686
    Building initial module for 2.6.38
    
    Error! Bad return status for module build on kernel: 2.6.38 (i686)
    Consult the make.log in the build directory
    /var/lib/dkms/nvidia-173/173.14.22/build/ for more information.
    dpkg: error processing nvidia-173 (--configure):
     subprocess installed post-installation script returned error exit status 10
    Processing triggers for python-gmenu ...
    Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
    Processing triggers for python-support ...
    Errors were encountered while processing:
     nvidia-173
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Example 2:
    Code:
    root@bt:~# apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages have been kept back:
      backtrack-utils framework3 linux-image linux-source tcpreplay
    0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
    1 not fully installed or removed.
    After this operation, 0B of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Setting up nvidia-173 (173.14.22-0ubuntu11) ...
    Removing old nvidia-173-173.14.22 DKMS files...
    
    ------------------------------
    Deleting module version: 173.14.22
    completely from the DKMS tree.
    ------------------------------
    Done.
    Loading new nvidia-173-173.14.22 DKMS files...
    First Installation: checking all kernels...
    Building only for 2.6.38
    Building for architecture i686
    Building initial module for 2.6.38
    
    Error! Bad return status for module build on kernel: 2.6.38 (i686)
    Consult the make.log in the build directory
    /var/lib/dkms/nvidia-173/173.14.22/build/ for more information.
    dpkg: error processing nvidia-173 (--configure):
     subprocess installed post-installation script returned error exit status 10
    Processing triggers for python-gmenu ...
    Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
    Processing triggers for python-support ...
    Errors were encountered while processing:  nvidia-173
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    I was tryin to upgrade after removing somethings this is the response I get:
    Code:
    ------------------------------
    Deleting module version: 195.36.24
    completely from the DKMS tree.
    ------------------------------
    Done.
    Loading new nvidia-current-195.36.24 DKMS files...
    First Installation: checking all kernels...
    Building only for 2.6.38
    Building for architecture i686
    Building initial module for 2.6.38
    
    Error! Bad return status for module build on kernel: 2.6.38 (i686)
    Consult the make.log in the build directory
    /var/lib/dkms/nvidia-current/195.36.24/build/ for more information.
    dpkg: error processing nvidia-current (--configure):
     subprocess installed post-installation script returned error exit status 10
    dpkg: dependency problems prevent configuration of nvidia-glx-185:
     nvidia-glx-185 depends on nvidia-current; however:
      Package nvidia-current is not configured yet.
    dpkg: error processing nvidia-glx-185 (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Processing triggers for python-gmenu ...
    Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
    Processing triggers for python-support ...
    Errors were encountered while processing:
     nvidia-173
     nvidia-96
     nvidia-current
     nvidia-glx-185
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Last edited by c0ld3l3m3nt; 11-23-2011 at 03:35 PM. Reason: New information

  2. #2
    My life is this forum Snayler's Avatar
    Join Date
    Jan 2010
    Posts
    1,418

    Default Re: E: Sub-process /usr/bin/dpkg returned an error code (1)

    Ok, be honest: Have you searched at all for a solution? I only ask because googling the error message gives hundreds of thousands of results, and looking to the bottom of this thread (in the "similar threads" section) I can see at least 3 threads with the same title, and other 2 that possibly will have a solution. Forum rules are meant for everyone...

  3. #3
    Moderator KMDave's Avatar
    Join Date
    Jan 2010
    Posts
    2,281

    Default Re: E: Sub-process /usr/bin/dpkg returned an error code (1)

    Please reread the forum rules and search before asking questions as Snayler mentioned before.

    Thanks
    Tiocfaidh ár lá

Similar Threads

  1. Help: E: Sub-process /usr/bin/dpkg returned an error code (1)
    By ElAnarchisto in forum Beginners Forum
    Replies: 7
    Last Post: 10-10-2010, 07:40 PM
  2. dpkg error ofter synaptic
    By Slimjimmy in forum Beginners Forum
    Replies: 0
    Last Post: 02-27-2010, 05:47 AM
  3. E: Sub-process /usr/bin/dpkg returned an error code (1)
    By Skullnick in forum Beginners Forum
    Replies: 2
    Last Post: 01-31-2010, 05:11 PM
  4. E: Sub-process /usr/bin/dpkg returned an error code (1)
    By Shikuro in forum OLD Newbie Area
    Replies: 1
    Last Post: 07-07-2009, 03:39 PM
  5. dpkg subprocess returned error(1) -> nvidia-drivers
    By inf_437 in forum OLD Newbie Area
    Replies: 0
    Last Post: 06-12-2009, 08:39 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •